SDXFrameWork 0.13 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Public Member Functions | List of all members
SDX::Anime Class Reference

Filmに再生状態を付与したクラス. More...

`#include <Anime.h>`

Inherits SDX::IDrawable.

## Public Member Functions
| Anime (const Film *再生する対象)
| コンストラクタ. More...
bool | Update (double 経過フレーム=1)
| カウンタの更新. More...
Image * | GetFrame () const
| 現在のコマを取得. More...
void | SetFrame (int コマ数)
| コマの位置を設定. More...
bool | Draw (const Point &座標, bool 反転フラグ=false) const override
| 指定座標に描画. More...
bool | DrawExtend (const Rect &描画領域, bool 反転フラグ=false) const override
| 指定矩形内に描画. More...
bool | DrawRotate (const Point &座標, double 拡大率, double 角度, bool 反転フラグ=false) const override
| 角度、拡大率を指定して描画. More...
bool | DrawRotateAxis (const Point &座標, const Point &回転軸座標, double 拡大率, double 角度, bool 反転フラグ=false) const override
| 回転軸、角度、拡大率を指定して描画. More...
bool | DrawRotateAxis (const Point &座標, const Point &回転軸座標, double 拡大率X, double 拡大率Y, double 角度, bool 反転フラグ=false) const override
| 回転軸、角度、拡大率を縦横別に指定して描画. More...
bool | DrawPart (const Point &描画先座標, const Rect &描画元領域, bool 反転フラグ=false) const override
| 指定した一部分を描画. More...

## Detailed Description

Filmに再生状態を付与したクラス.

//Copyright © 2014 SDXFramework
//[License]GNU Affero General Public License, version 3
//[Contact]http://sourceforge.jp/projects/dxframework/
//画像をアニメーションさせる
bool SampleAnime()
{
using namespace SDX;
System::Initialise("sample", 640, 480);
//画像を分割して読み込む
Film filmA("data/number.png", 10, 10, 1,60 );
Film filmB("data/hone.png", 12, 3, 4, 10);
Film filmC("data/icon","png",10,12);
//アニメーション
Anime animeA(&filmA);
Anime animeB(&filmB);
Anime animeC(&filmC);
//カウントアップ後カウントダウン
filmA.SetType(FilmType::Reverse);
//最後のコマで停止する
filmB.SetType(FilmType::End);
//各コマの再生時間を設定する
filmC.SetFrameTime({1,2,3,4,5,6,7,8,9,10});
while (System::Update())
{
animeA.Update();
animeB.Update();
animeC.Update();
animeA.DrawExtend({ 200, 240 ,30,40});
animeB.Draw({ 300, 240 });
animeC.Draw({ 400, 240 });
if (Input::key.Return.on){ break;}//Enterで終了
}
System::End();
return true;
}

## Constructor & Destructor Documentation

SDX::Anime::Anime | ( | const Film * | 再生する対象 | ) |
| inline

コンストラクタ.

## Member Function Documentation

bool SDX::Anime::Update | ( | double | 経過フレーム = `1` | ) |
| inline

カウンタの更新.

最後のコマに到達した場合falseを返す

Image* SDX::Anime::GetFrame | ( |  | ) | const
| inline

現在のコマを取得.

void SDX::Anime::SetFrame | ( | int | コマ数 | ) |
| inline

コマの位置を設定.

値は0から、Filmのコマ数を超えた場合最終コマ、値が負の場合は0コマ目.

bool SDX::Anime::Draw | ( | const Point & | 座標,
|  | bool | 反転フラグ = `false`
| ) |  | const
| inline override virtual

指定座標に描画.

Implements SDX::IDrawable.

bool SDX::Anime::DrawExtend | ( | const Rect & | 描画領域,
|  | bool | 反転フラグ = `false`
| ) |  | const
| inline override virtual

指定矩形内に描画.

Implements SDX::IDrawable.

bool SDX::Anime::DrawRotate | ( | const Point & | 座標,
|  | double | 拡大率,
|  | double | 角度,
|  | bool | 反転フラグ = `false`
| ) |  | const
| inline override virtual

角度、拡大率を指定して描画.

Implements SDX::IDrawable.

bool SDX::Anime::DrawRotateAxis | ( | const Point & | 座標,
|  | const Point & | 回転軸座標,
|  | double | 拡大率,
|  | double | 角度,
|  | bool | 反転フラグ = `false`
| ) |  | const
| inline override virtual

回転軸、角度、拡大率を指定して描画.

Implements SDX::IDrawable.

bool SDX::Anime::DrawRotateAxis | ( | const Point & | 座標,
|  | const Point & | 回転軸座標,
|  | double | 拡大率X,
|  | double | 拡大率Y,
|  | double | 角度,
|  | bool | 反転フラグ = `false`
| ) |  | const
| inline override virtual

回転軸、角度、拡大率を縦横別に指定して描画.

Implements SDX::IDrawable.

bool SDX::Anime::DrawPart | ( | const Point & | 描画先座標,
|  | const Rect & | 描画元領域,
|  | bool | 反転フラグ = `false`
| ) |  | const
| inline override virtual

指定した一部分を描画.

Implements SDX::IDrawable.